# 目的，根据不同的参数加载不同的app文件
from flask import Flask
from flask_sqlalchemy import SQLAlchemy
from config import config_map


db = SQLAlchemy()
def create_app(config_name):

    app = Flask(__name__)
    obj = config_map.get(config_name)
    app.config.from_object(obj)
    db.init_app(app)
    from bluebrint import users
    app.register_blueprint(users)
    return app







